#
# spec file for package rubygem-jaro_winkler
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-jaro_winkler
Version:        1.5.4
Release:        1.28
%define mod_name jaro_winkler
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/tonytonyjan/jaro_winkler
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        %{name}-rpmlintrc
Source2:        gem2rpm.yml
Summary:        Ruby & C implementation of Jaro-Winkler distance algorithm which supports UTF-8 string
License:        MIT
Group:          Development/Languages/Ruby

%description
jaro_winkler is an implementation of Jaro-Winkler distance algorithm which is
written in C extension and will fallback to pure Ruby version in platforms
other than MRI/KRI like JRuby or Rubinius. Both of C and Ruby implementation
support any kind of string encoding, such as UTF-8, EUC-JP, Big5, etc.
%prep

%build

%install
%gem_install \
  --doc-files="LICENSE.txt" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.5.4
  no changelog found
* Mon Sep  2 2019 Dan Čermák <dcermak@suse.com>
- Rename rubygem-jaro_winkler.rpmlintrc to rubygem-jaro_winkler-rpmlintrc
* Fri Aug 30 2019 Dan Čermák <dcermak@suse.com>
- Add .rpmlintrc to the sources
* Fri Jul 19 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.5.3
  no changelog found
* Mon Jan 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.5.2
  no changelog found
* Fri Jun  8 2018 hvogel@suse.com
- Initial package, version 1.5.1
